/* pqthreads-internal.h -- map certain globals to macros */

#ifndef __pthreads_internal_h__
#define __pthreads_internal_h__

/* pqcomm.c */

FILE *_libpq_get_Pfout ARGS((void));
FILE *_libpq_get_Pfin ARGS((void));
int _libpq_get_PQAsyncNotifyWaiting ARGS((void));
void _libpq_set_PQAsyncNotifyWaiting ARGS((int));

#define Pfout _libpq_get_Pfout()
#define Pfin _libpq_get_Pfin()
#define PQAsyncNotifyWaiting _libpq_get_PQAsyncNotifyWaiting()

/* fe-pqexec.c */

char *_libpq_get_PQhost ARGS((void));
char *_libpq_get_PQport ARGS((void));
char *_libpq_get_PQtty ARGS((void));
char *_libpq_get_PQoption ARGS((void));
char *_libpq_get_PQdatabase ARGS((void));
int _libpq_get_PQportset ARGS((void));
int _libpq_get_PQxactid ARGS((void));
void _libpq_set_PQxactid ARGS((int));
char *_libpq_get_retbuf ARGS((void));

#define PQportset _libpq_get_PQportset()
#define PQxactid _libpq_get_PQxactid()

/* fe-pqufs.c */

char *_libpq_get_cwdir ARGS((void));
char *_libpq_get_thenewdir ARGS((void));
void _libpq_set_p_errno ARGS((int));
int _libpq_get_p_errno ARGS((void));

/* portal.c */

int _libpq_get_PQtracep ARGS((void));
void _libpq_set_PQtracep ARGS((int));
void _libpq_set_debug_port ARGS((FILE*));
FILE *_libpq_get_debug_port ARGS((void));

#ifndef PQerrormsg
char *_libpq_get_PQerrormsg ARGS((void));
#define PQerrormsg _libpq_get_PQerrormsg()
#endif /* PQerrormsg */

#define PQtracep _libpq_get_PQtracep()

#endif /* __pthreads_internal_h__ */
